Package org.eclipse.microprofile.lra.tck.participant.api

# Class AfterLRAListener

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
org.eclipse.microprofile.lra.tck.participant.api.AfterLRAListener

@ApplicationScoped @Path("after-lra-listener") public class AfterLRAListener extends ResourceParent
resource for testing that methods annotated with `AfterLRA` are notified correctly when an LRA terminates

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AFTER_LRA_LISTENER_PATH`
`static final String`
`AFTER_LRA_LISTENER_WORK`

## Constructor Summary

Constructors
Constructor
Description
`AfterLRAListener()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`activityWithLRA(URI recoveryId, URI lraId)`
`jakarta.ws.rs.core.Response`
`afterLRA(URI lraId, LRAStatus status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AFTER_LRA_LISTENER_PATH

public static final String AFTER_LRA_LISTENER_PATH

See Also:
  - Constant Field Values

### AFTER_LRA_LISTENER_WORK

public static final String AFTER_LRA_LISTENER_WORK

See Also:
  - Constant Field Values

## Constructor Details

### AfterLRAListener

public AfterLRAListener()

## Method Details

### activityWithLRA

@PUT @Path("work") public jakarta.ws.rs.core.Response activityWithLRA(@HeaderParam("Long-Running-Action-Recovery") URI recoveryId, @HeaderParam("Long-Running-Action") URI lraId)

### afterLRA

@PUT @Path("/after") public jakarta.ws.rs.core.Response afterLRA(@HeaderParam("Long-Running-Action-Ended") URI lraId, LRAStatus status)

Overrides:
  `afterLRA` in class `ResourceParent`